import { ClipboardData, EditorInterface, NodeInterface } from '@aomao/engine';
import { EventEmitter2 } from 'eventemitter2';
import { TableCommandInterface, TableInterface } from '../types';
declare class TableCommand extends EventEmitter2 implements TableCommandInterface {
    private editor;
    private table;
    private tableCleared;
    private rowCleared;
    private colCleared;
    tableRoot?: NodeInterface;
    colsHeader?: NodeInterface;
    rowsHeader?: NodeInterface;
    tableHeader?: NodeInterface;
    viewport?: NodeInterface;
    constructor(editor: EditorInterface, table: TableInterface);
    init(): void;
    insertColAt(index: number, count: number, isLeft?: boolean, widths?: number | Array<number>, ...args: any): void;
    insertCol(position?: 'left' | 'end' | 'right', count?: number, ...args: any): void;
    removeCol(...args: any): void;
    insertColLeft(count?: number): void;
    insertColRight(count?: number): void;
    insertRowAt(index: number, count: number, isUp?: boolean, ...args: any): void;
    insertRow(position?: 'up' | 'end' | 'down', count?: number, ...args: any): void;
    insertRowUp(count?: number): void;
    insertRowDown(count?: number): void;
    removeRow(...args: any): void;
    removeTable(): void;
    copy(all?: boolean): void;
    mockCopy(): void;
    shortcutCopy(event: ClipboardEvent): void;
    cut(): void;
    shortcutCut(event: ClipboardEvent): void;
    clear(): void;
    clearFormat: () => void;
    hasCopyData: () => boolean;
    mockPaste(...args: any): void;
    shortcutPaste(event: ClipboardEvent): void;
    paste(data: ClipboardData, ...args: any): void;
    mergeCell(...args: any): void;
    splitCell(...args: any): void;
}
export default TableCommand;
