import { Card, CardToolbarItemOptions, CardType, NodeInterface, RangeInterface, Scrollbar, SelectStyleType, ToolbarItemOptions } from '@aomao/engine';
import { ControllBarInterface, HelperInterface, TableCommandInterface, TableInterface, TableSelectionInterface, TableValue, TemplateInterface } from '../types';
import Helper from './helper';
import Template from './template';
import { ColorTool } from './toolbar';
declare class TableComponent<V extends TableValue = TableValue> extends Card<V> implements TableInterface<V> {
    #private;
    readonly contenteditable: string[];
    static get cardName(): string;
    static get cardType(): CardType;
    static get selectStyleType(): SelectStyleType;
    static get autoSelected(): boolean;
    static get lazyRender(): boolean;
    static colors: {
        color: string;
        border: string;
    }[][];
    colMinWidth: number;
    rowMinHeight: number;
    wrapper?: NodeInterface;
    helper: HelperInterface;
    template: TemplateInterface;
    selection: TableSelectionInterface;
    conltrollBar: ControllBarInterface;
    command: TableCommandInterface;
    scrollbar?: Scrollbar;
    viewport?: NodeInterface;
    colorTool?: ColorTool;
    noBorderToolButton?: NodeInterface;
    alignToolButton?: NodeInterface;
    init(): void;
    doChange: () => void;
    toolbar(): Array<ToolbarItemOptions | CardToolbarItemOptions>;
    onSelectLeft(event: KeyboardEvent): false | undefined;
    onSelectRight(event: KeyboardEvent): false | undefined;
    onSelectUp(event: KeyboardEvent): false | undefined;
    onSelectDown(event: KeyboardEvent): false | undefined;
    updateAlign(event: MouseEvent, align?: 'top' | 'middle' | 'bottom'): void;
    updateAlignText(align?: 'top' | 'middle' | 'bottom'): void;
    getValue(): V;
    updateBackgroundSelection?(range: RangeInterface): void;
    drawBackground?(node: NodeInterface, range: RangeInterface): DOMRect | void | false | RangeInterface[];
    activate(activated: boolean): void;
    onChange: (trigger?: 'remote' | 'local') => void;
    maximize(): void;
    minimize(): void;
    getSelectionNodes(): NodeInterface[];
    overflow(max: number): void;
    updateScrollbar: () => void;
    isChanged: boolean;
    didRender(): void;
    render(): NodeInterface | "Error value" | undefined;
    destroy(): void;
}
export default TableComponent;
export { Template, Helper };
