import { TableValue, TableMenu, TemplateInterface, TableInterface } from '../types';
declare class Template implements TemplateInterface {
    static readonly TABLE_WRAPPER_CLASS: string;
    static readonly TABLE_OVERFLOW_CLASS: string;
    static readonly TABLE_CLASS: string;
    static readonly COLS_HEADER_CLASS: string;
    static readonly COLS_HEADER_ITEM_CLASS: string;
    static readonly COLS_HEADER_TRIGGER_CLASS: string;
    static readonly COLS_ADDITION_HEADER_CLASS: string;
    static readonly ROWS_HEADER_CLASS: string;
    static readonly ROWS_HEADER_ITEM_CLASS: string;
    static readonly ROWS_HEADER_TRIGGER_CLASS: string;
    static readonly HEADER_CLASS: string;
    static readonly MENUBAR_CLASS: string;
    static readonly MENUBAR_ITEM_CLASS: string;
    static readonly MENUBAR_ITEM_INPUT_CALSS: string;
    static readonly VIEWPORT: string;
    static readonly VIEWPORT_READER: string;
    static readonly PLACEHOLDER_CLASS: string;
    static readonly MULTI_ADDITION_CLASS: string;
    static readonly TABLE_HIGHLIGHT_CLASS: string;
    static readonly ROW_DELETE_BUTTON_CLASS: string;
    static readonly COL_DELETE_BUTTON_CLASS: string;
    static readonly ROW_ADD_BUTTON_CLASS: string;
    static readonly COL_ADD_BUTTON_CLASS: string;
    static readonly ROW_ADD_BUTTON_SPLIT_CLASS: string;
    static readonly COL_ADD_BUTTON_SPLIT_CLASS: string;
    static readonly TABLE_TD_CONTENT_CLASS: string;
    static readonly TABLE_TD_BG_CLASS: string;
    static readonly CellBG: string;
    isReadonly: boolean;
    static EmptyCell(readonly?: boolean): string;
    getEmptyCell(): string;
    private table;
    constructor(table: TableInterface);
    renderRowsHeader(rows: number): string;
    renderColsHeader(cols: number): string;
    /**
     * 用于Card渲染
     * @param {object} value 参数
     * @param {number} value.rows 行数
     * @param {number} value.cols 列数
     * @param {string} value.html html 字符串
     * @return {string} 返回 html 字符串
     */
    htmlEdit({ rows, cols, html, noBorder, overflow }: TableValue, menus: TableMenu): string;
    htmlView({ html, noBorder, overflow }: TableValue): string;
}
export default Template;
