import { NodeInterface, EditorInterface } from '@aomao/engine';
import tinycolor2, { ColorInput } from 'tinycolor2';
export declare type Options = {
    colors: Array<Array<{
        color: string;
        border?: string;
    }>>;
    defaultColor?: string;
    onChange?: (color: string) => void;
    onDestroy?: () => void;
};
declare class Color {
    #private;
    constructor(editor: EditorInterface, cardId: string, options: Options);
    getButton(): NodeInterface;
    select(color: string): void;
    change(color: string): void;
    toState(color: ColorInput, oldHue?: number): {
        hsl: tinycolor2.ColorFormats.HSLA;
        hex: string;
        rgb: tinycolor2.ColorFormats.RGBA;
        hsv: tinycolor2.ColorFormats.HSVA;
        oldHue: any;
        source: any;
    };
    render(): void;
    windowClick: (event: MouseEvent) => void;
    remove(): void;
    destroy(): void;
}
export default Color;
