import { NodeInterface, Plugin, SchemaBlock, SchemaInterface } from '@aomao/engine';
import TableComponent from './component';
import { TableOptions, TableValue } from './types';
import './index.css';
declare class Table<T extends TableOptions = TableOptions> extends Plugin<T> {
    static get pluginName(): string;
    init(): void;
    onCopy(event: ClipboardEvent): boolean;
    onCut(event: ClipboardEvent): boolean;
    onPaste(event: ClipboardEvent): boolean;
    hotkey(): string | string[];
    schema(): Array<SchemaBlock>;
    pasteSchema(schema: SchemaInterface): void;
    execute(rows?: number, cols?: number): void;
    convertToPX(value: string): string;
    pasteHtml(root: NodeInterface): void;
    parseHtml(root: NodeInterface, callback?: (node: NodeInterface, value: TableValue) => NodeInterface): void;
    getMarkdownCell(match: RegExpExecArray, count?: number): string[];
    checkMarkdown(node: NodeInterface): {
        reg: RegExp;
        match: RegExpExecArray;
    } | undefined;
    pasteMarkdown(node: NodeInterface): void;
}
export default Table;
export { TableComponent };
export type { TableValue, TableOptions };
